Loading...
Searching...
No Matches
CxxTest::GuiListener Class Reference

`#include <Gui.h>`

## Public Member Functions

| GuiListener ()
virtual | ~GuiListener ()
virtual void | runGui (int &argc, char **argv, TestListener &listener)
virtual void | enterGui (int &, char **)
virtual void | leaveGui ()
virtual void | guiEnterWorld (unsigned)
virtual void | guiEnterSuite (const char *)
virtual void | guiEnterTest (const char *, const char *)
virtual void | yellowBar ()
virtual void | redBar ()
void | enterWorld (const WorldDescription &d)
void | enterSuite (const SuiteDescription &d)
void | enterTest (const TestDescription &d)
void | leaveTest (const TestDescription &)
void | leaveSuite (const SuiteDescription &)
void | leaveWorld (const WorldDescription &)
void | warning (const char *, unsigned, const char *)
void | failedTest (const char *, unsigned, const char *)
void | failedAssert (const char *, unsigned, const char *)
void | failedAssertEquals (const char *, unsigned, const char *, const char *, const char *, const char *)
void | failedAssertSameData (const char *, unsigned, const char *, const char *, const char *, const void *, const void *, unsigned)
void | failedAssertDelta (const char *, unsigned, const char *, const char *, const char *, const char *, const char *, const char *)
void | failedAssertDiffers (const char *, unsigned, const char *, const char *, const char *)
void | failedAssertLessThan (const char *, unsigned, const char *, const char *, const char *, const char *)
void | failedAssertLessThanEquals (const char *, unsigned, const char *, const char *, const char *, const char *)
void | failedAssertPredicate (const char *, unsigned, const char *, const char *, const char *)
void | failedAssertRelation (const char *, unsigned, const char *, const char *, const char *, const char *, const char *)
void | failedAssertThrows (const char *, unsigned, const char *, const char *, bool)
void | failedAssertThrowsNot (const char *, unsigned, const char *)
Public Member Functions inherited from CxxTest::TestListener
| TestListener ()
virtual | ~TestListener ()
virtual void | trace (const char *, unsigned, const char *)

## Protected Member Functions

void | yellowBarSafe ()
void | redBarSafe ()

## Private Types

enum | { GREEN_BAR , YELLOW_BAR , RED_BAR }

## Private Attributes

enum CxxTest::GuiListener:: { ... } | _state

## Detailed Description

Definition at line 13 of file Gui.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

private

Enumerator
GREEN_BAR |
YELLOW_BAR |
RED_BAR |

Definition at line 150 of file Gui.h.

{ GREEN_BAR, YELLOW_BAR, RED_BAR } _state;
CxxTest::GuiListener::GREEN_BAR
@ GREEN_BAR
Definition Gui.h:150
CxxTest::GuiListener::YELLOW_BAR
@ YELLOW_BAR
Definition Gui.h:150
CxxTest::GuiListener::RED_BAR
@ RED_BAR
Definition Gui.h:150
CxxTest::GuiListener::_state
enum CxxTest::GuiListener::@301211057212335126110310004170100216260215321263 _state

## Constructor & Destructor Documentation

## GuiListener()

CxxTest::GuiListener::GuiListener | ( |  | ) |

inline

Definition at line 16 of file Gui.h.

: _state( GREEN_BAR ) {}

## ~GuiListener()

virtual CxxTest::GuiListener::~GuiListener | ( |  | ) |

inline virtual

Definition at line 17 of file Gui.h.

{}

## Member Function Documentation

## enterGui()

virtual void CxxTest::GuiListener::enterGui | ( | int & | ,
|  | char ** | )

inline virtual

Reimplemented in CxxTest::QtGui, CxxTest::Win32Gui, and CxxTest::X11Gui.

Definition at line 26 of file Gui.h.

{}

## enterSuite()

void CxxTest::GuiListener::enterSuite | ( | const SuiteDescription & | d | ) |

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 42 of file Gui.h.

{ guiEnterSuite( d.suiteName() ); }
CxxTest::GuiListener::guiEnterSuite
virtual void guiEnterSuite(const char *)
Definition Gui.h:33

## enterTest()

void CxxTest::GuiListener::enterTest | ( | const TestDescription & | d | ) |

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 43 of file Gui.h.

{ guiEnterTest( d.suiteName(), d.testName() ); }
CxxTest::GuiListener::guiEnterTest
virtual void guiEnterTest(const char *, const char *)
Definition Gui.h:34

## enterWorld()

void CxxTest::GuiListener::enterWorld | ( | const WorldDescription & | d | ) |

inline virtual

Reimplemented from CxxTest::TestListener.

Reimplemented in CxxTest::QtGui, CxxTest::Win32Gui, and CxxTest::X11Gui.

Definition at line 41 of file Gui.h.

{ guiEnterWorld( d.numTotalTests() ); }
CxxTest::GuiListener::guiEnterWorld
virtual void guiEnterWorld(unsigned)
Definition Gui.h:32

## failedAssert()

void CxxTest::GuiListener::failedAssert | ( | const char * | ,
|  | unsigned | ,
|  | const char * | )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 58 of file Gui.h.

{
redBarSafe();
}
CxxTest::GuiListener::redBarSafe
void redBarSafe()
Definition Gui.h:141

## failedAssertDelta()

void CxxTest::GuiListener::failedAssertDelta | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 78 of file Gui.h.

{
redBarSafe();
}

## failedAssertDiffers()

void CxxTest::GuiListener::failedAssertDiffers | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 85 of file Gui.h.

{
redBarSafe();
}

## failedAssertEquals()

void CxxTest::GuiListener::failedAssertEquals | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 63 of file Gui.h.

{
redBarSafe();
}

## failedAssertLessThan()

void CxxTest::GuiListener::failedAssertLessThan | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 92 of file Gui.h.

{
redBarSafe();
}

## failedAssertLessThanEquals()

void CxxTest::GuiListener::failedAssertLessThanEquals | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 99 of file Gui.h.

{
redBarSafe();
}

## failedAssertPredicate()

void CxxTest::GuiListener::failedAssertPredicate | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 106 of file Gui.h.

{
redBarSafe();
}

## failedAssertRelation()

void CxxTest::GuiListener::failedAssertRelation | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 112 of file Gui.h.

{
redBarSafe();
}

## failedAssertSameData()

void CxxTest::GuiListener::failedAssertSameData | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const void * | ,
|  | const void * | ,
|  | unsigned | )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 70 of file Gui.h.

{
redBarSafe();
}

## failedAssertThrows()

void CxxTest::GuiListener::failedAssertThrows | ( | const char * | ,
|  | unsigned | ,
|  | const char * | ,
|  | const char * | ,
|  | bool | )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 119 of file Gui.h.

{
redBarSafe();
}

## failedAssertThrowsNot()

void CxxTest::GuiListener::failedAssertThrowsNot | ( | const char * | ,
|  | unsigned | ,
|  | const char * | )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 126 of file Gui.h.

{
redBarSafe();
}

## failedTest()

void CxxTest::GuiListener::failedTest | ( | const char * | ,
|  | unsigned | ,
|  | const char * | )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 53 of file Gui.h.

{
redBarSafe();
}

## guiEnterSuite()

virtual void CxxTest::GuiListener::guiEnterSuite | ( | const char * |  | ) |

inline virtual

Reimplemented in CxxTest::QtGui, and CxxTest::Win32Gui.

Definition at line 33 of file Gui.h.

{}

## guiEnterTest()

virtual void CxxTest::GuiListener::guiEnterTest | ( | const char * | ,
|  | const char * | )

inline virtual

Reimplemented in CxxTest::QtGui, CxxTest::Win32Gui, and CxxTest::X11Gui.

Definition at line 34 of file Gui.h.

{}

## guiEnterWorld()

virtual void CxxTest::GuiListener::guiEnterWorld | ( | unsigned |  | ) |

inline virtual

Definition at line 32 of file Gui.h.

{}

## leaveGui()

virtual void CxxTest::GuiListener::leaveGui | ( |  | ) |

inline virtual

Reimplemented in CxxTest::QtGui, CxxTest::Win32Gui, and CxxTest::X11Gui.

Definition at line 27 of file Gui.h.

{}

## leaveSuite()

void CxxTest::GuiListener::leaveSuite | ( | const SuiteDescription & |  | ) |

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 45 of file Gui.h.

{}

## leaveTest()

void CxxTest::GuiListener::leaveTest | ( | const TestDescription & |  | ) |

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 44 of file Gui.h.

{}

## leaveWorld()

void CxxTest::GuiListener::leaveWorld | ( | const WorldDescription & |  | ) |

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 46 of file Gui.h.

{}

## redBar()

virtual void CxxTest::GuiListener::redBar | ( |  | ) |

inline virtual

Reimplemented in CxxTest::QtGui, CxxTest::Win32Gui, and CxxTest::X11Gui.

Definition at line 36 of file Gui.h.

{}

## redBarSafe()

void CxxTest::GuiListener::redBarSafe | ( |  | ) |

inline protected

Definition at line 141 of file Gui.h.

{
if ( _state < RED_BAR ) {
redBar();
_state = RED_BAR;
}
}
CxxTest::GuiListener::redBar
virtual void redBar()
Definition Gui.h:36

## runGui()

virtual void CxxTest::GuiListener::runGui | ( | int & | argc,
|  | char ** | argv,
|  | TestListener & | listener )

inline virtual

Definition at line 19 of file Gui.h.

{
enterGui( argc, argv );
TestRunner::runAllTests( listener );
leaveGui();
}
CxxTest::GuiListener::enterGui
virtual void enterGui(int &, char **)
Definition Gui.h:26
CxxTest::GuiListener::leaveGui
virtual void leaveGui()
Definition Gui.h:27
CxxTest::TestRunner::runAllTests
static void runAllTests(TestListener &listener)
Definition TestRunner.h:20

## warning()

void CxxTest::GuiListener::warning | ( | const char * | ,
|  | unsigned | ,
|  | const char * | )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 48 of file Gui.h.

{
yellowBarSafe();
}
CxxTest::GuiListener::yellowBarSafe
void yellowBarSafe()
Definition Gui.h:133

## yellowBar()

virtual void CxxTest::GuiListener::yellowBar | ( |  | ) |

inline virtual

Reimplemented in CxxTest::QtGui, CxxTest::Win32Gui, and CxxTest::X11Gui.

Definition at line 35 of file Gui.h.

{}

## yellowBarSafe()

void CxxTest::GuiListener::yellowBarSafe | ( |  | ) |

inline protected

Definition at line 133 of file Gui.h.

{
if ( _state < YELLOW_BAR ) {
yellowBar();
_state = YELLOW_BAR;
}
}
CxxTest::GuiListener::yellowBar
virtual void yellowBar()
Definition Gui.h:35

## Field Documentation

## []

enum { ... } CxxTest::GuiListener::_state

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/Gui.h